base_options.h File Reference
`#include "cvc4_public.h"`
`#include "options/options.h"`
`#include <iostream>`
`#include "util/language.h"`
Include dependency graph for base_options.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | CVC4::options::binary_name__option_t
struct | CVC4::options::in__option_t
struct | CVC4::options::out__option_t
struct | CVC4::options::err__option_t
struct | CVC4::options::inputLanguage__option_t
struct | CVC4::options::outputLanguage__option_t
struct | CVC4::options::languageHelp__option_t
struct | CVC4::options::verbosity__option_t
struct | CVC4::options::statistics__option_t
struct | CVC4::options::statsEveryQuery__option_t
struct | CVC4::options::statsHideZeros__option_t
struct | CVC4::options::parseOnly__option_t
struct | CVC4::options::preprocessOnly__option_t
struct | CVC4::options::printSuccess__option_t

## Namespaces

namespace | CVC4
namespace | CVC4::options

## Macros

#define | CVC4_OPTIONS__BASE__FOR_OPTION_HOLDER

## Variables

struct CVC4::options::binary_name__option_t | CVC4::options::binary_name
struct CVC4::options::in__option_t | CVC4::options::in
struct CVC4::options::out__option_t | CVC4::options::out
struct CVC4::options::err__option_t | CVC4::options::err
struct CVC4::options::inputLanguage__option_t | CVC4::options::inputLanguage
struct CVC4::options::outputLanguage__option_t | CVC4::options::outputLanguage
struct CVC4::options::languageHelp__option_t | CVC4::options::languageHelp
struct CVC4::options::verbosity__option_t | CVC4::options::verbosity
struct CVC4::options::statistics__option_t | CVC4::options::statistics
struct CVC4::options::statsEveryQuery__option_t | CVC4::options::statsEveryQuery
struct CVC4::options::statsHideZeros__option_t | CVC4::options::statsHideZeros
struct CVC4::options::parseOnly__option_t | CVC4::options::parseOnly
struct CVC4::options::preprocessOnly__option_t | CVC4::options::preprocessOnly
struct CVC4::options::printSuccess__option_t | CVC4::options::printSuccess

## Macro Definition Documentation

## CVC4_OPTIONS__BASE__FOR_OPTION_HOLDER

#define CVC4_OPTIONS__BASE__FOR_OPTION_HOLDER

Definition at line 66 of file base_options.h.